package com.hzya.frame.sysnew.integratedForegroundTaskParameter.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * 集成前台任务参数表(SysIntegratedForegroundTaskParameter)实体类
 *
 * @author makejava
 * @since 2024-03-26 14:30:46
 */
public class SysIntegratedForegroundTaskParameterEntity extends BaseEntity {
 
  /**  主表id */
   private String formmainId;
  /**  参数 */
   private String inParameter;
  /**  备注 */
   private String remark;
    /**  任务状态 1、执行中 2、执行完成 */
    private String status;

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getInParameter() {
        return inParameter;
    }

    public void setInParameter(String inParameter) {
        this.inParameter = inParameter;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public void setCreate() {
        this.setId(UUIDUtils.getUUID());
        this.setSts("Y");
        this.setCreate_user_id(StpUtil.getLoginIdAsString());
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setCreate_time(new Date());
        this.setModify_time(new Date());
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}

